### Property

# Goa Mail:smtp-user-name

#### Declaration

    property smtp-user-name: utf8 [ read, write ]

#### Description [src]

Represents the D-Bus property “SmtpUserName”.

Since the D-Bus property for this `GObject` property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Type:`gchar*`

Default value | NULL
Getter method | `goa_mail_get_smtp_user_name()`
Setter method | `goa_mail_set_smtp_user_name()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no